GNU logs - #33542, boring messages


Message sent to bug-guix@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#33542: Strange tarball download error on Hydra
Resent-From: Mark H Weaver <mhw@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-guix@HIDDEN
Resent-Date: Wed, 28 Nov 2018 18:28:02 +0000
Resent-Message-ID: <handler.33542.B.154342966020527 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 33542
X-GNU-PR-Package: guix
X-GNU-PR-Keywords: 
To: 33542 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-guix@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.154342966020527
          (code B ref -1); Wed, 28 Nov 2018 18:28:02 +0000
Received: (at submit) by debbugs.gnu.org; 28 Nov 2018 18:27:40 +0000
Received: from localhost ([127.0.0.1]:53749 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gS4Ym-0005L1-6B
	for submit <at> debbugs.gnu.org; Wed, 28 Nov 2018 13:27:40 -0500
Received: from eggs.gnu.org ([208.118.235.92]:55723)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1gS4Yk-0005Kn-WF
 for submit <at> debbugs.gnu.org; Wed, 28 Nov 2018 13:27:39 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mhw@HIDDEN>) id 1gS4Ye-0000NR-I4
 for submit <at> debbugs.gnu.org; Wed, 28 Nov 2018 13:27:33 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:45054)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mhw@HIDDEN>) id 1gS4Ye-0000N0-Bl
 for submit <at> debbugs.gnu.org; Wed, 28 Nov 2018 13:27:32 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:37100)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mhw@HIDDEN>) id 1gS4Yd-0003Jr-9g
 for bug-guix@HIDDEN; Wed, 28 Nov 2018 13:27:32 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mhw@HIDDEN>) id 1gS4Ya-00006Z-6r
 for bug-guix@HIDDEN; Wed, 28 Nov 2018 13:27:31 -0500
Received: from world.peace.net ([64.112.178.59]:51348)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mhw@HIDDEN>) id 1gS4Ya-0008Vx-3K
 for bug-guix@HIDDEN; Wed, 28 Nov 2018 13:27:28 -0500
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <mhw@HIDDEN>)
 id 1gS4YY-0002Dn-Oi; Wed, 28 Nov 2018 13:27:26 -0500
From: Mark H Weaver <mhw@HIDDEN>
Date: Wed, 28 Nov 2018 13:26:44 -0500
Message-ID: <87efb5vz0g.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

On Hydra, the armhf builds for al variants of 'linux-libre-4.14.84'
failed because the tarball download failed.  See below for the build
log.  Strangely, it was unable to find the (guix base16) module.

Any idea what went wrong here?

I'll try restarting the builds.

      Mark

--8<---------------cut here---------------start------------->8---
@ build-started /gnu/store/p1gqqw2jly5aizkz0d41a4gi9prxmx8m-linux-libre-4.14.84-gnu.tar.xz.drv - armhf-linux /var/log/guix/drvs/p1//gqqw2jly5aizkz0d41a4gi9prxmx8m-linux-libre-4.14.84-gnu.tar.xz.drv.bz2
warning: failed to install locale: Invalid argument
Backtrace:
In ice-9/boot-9.scm:
4056: 19 [#<procedure 205c80 at ice-9/boot-9.scm:4051:3 ()>]
1727: 18 [%start-stack load-stack #<procedure 1571c0 at ice-9/boot-9.scm:4047:10 ()>]
1732: 17 [#<procedure 1d9d50 ()>]
In unknown file:
   ?: 16 [primitive-load "/gnu/store/hkzbag401s8pkrj6k4bjizy3dybqffp4-guix-0.12.0-2.b291/bin/.guix-real"]
In guix/ui.scm:
1222: 15 [run-guix-command perform-download ...]
In ice-9/boot-9.scm:
 160: 14 [catch srfi-34 #<procedure 896890 at guix/ui.scm:426:2 ()> ...]
 160: 13 [catch system-error ...]
In guix/scripts/perform-download.scm:
  69: 12 [perform-download #]
In ice-9/boot-9.scm:
 870: 11 [call-with-input-file "/gnu/store/wxbfbsf53bdvrq1s8h086d96ixa7d47s-content-addressed-mirrors" ...]
In unknown file:
   ?: 10 [eval (begin (use-modules # #) (list # # #)) #<module (#{ g961}#) 893288>]
In ice-9/eval.scm:
 505: 9 [#<procedure 13b220 at ice-9/eval.scm:499:4 (exp)> (begin # #)]
In ice-9/psyntax.scm:
1106: 8 [expand-top-sequence ((begin (use-modules # #) (list # # ...))) () ...]
 989: 7 [scan ((begin (use-modules # #) (list # # ...))) () ...]
 989: 6 [scan ((use-modules # #) (list # # #)) () ((top)) ...]
 279: 5 [scan ((# #) #(syntax-object *unspecified* # #)) () (()) ...]
In ice-9/boot-9.scm:
3589: 4 [process-use-modules (((guix base32)) ((guix base16)))]
 703: 3 [map #<procedure 1c0cc0 at ice-9/boot-9.scm:3589:25 (mif-args)> ((#) (#))]
3590: 2 [#<procedure 1c0cc0 at ice-9/boot-9.scm:3589:25 (mif-args)> ((guix base16))]
2870: 1 [resolve-interface (guix base16) #:select ...]
In unknown file:
   ?: 0 [scm-error misc-error #f "~A ~S" ("no code for module" (guix base16)) #f]

ERROR: In procedure scm-error:
ERROR: no code for module (guix base16)
builder for `/gnu/store/p1gqqw2jly5aizkz0d41a4gi9prxmx8m-linux-libre-4.14.84-gnu.tar.xz.drv' failed with exit code 1
@ build-failed /gnu/store/p1gqqw2jly5aizkz0d41a4gi9prxmx8m-linux-libre-4.14.84-gnu.tar.xz.drv - 1 builder for `/gnu/store/p1gqqw2jly5aizkz0d41a4gi9prxmx8m-linux-libre-4.14.84-gnu.tar.xz.drv' failed with exit code 1
--8<---------------cut here---------------end--------------->8---




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Mark H Weaver <mhw@HIDDEN>
Subject: bug#33542: Acknowledgement (Strange tarball download error on Hydra)
Message-ID: <handler.33542.B.154342966020527.ack <at> debbugs.gnu.org>
References: <87efb5vz0g.fsf@HIDDEN>
X-Gnu-PR-Message: ack 33542
X-Gnu-PR-Package: guix
Reply-To: 33542 <at> debbugs.gnu.org
Date: Wed, 28 Nov 2018 18:28:03 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-guix@HIDDEN

If you wish to submit further information on this problem, please
send it to 33542 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
33542: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D33542
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-guix@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#33542: Strange tarball download error on Hydra
Resent-From: Mark H Weaver <mhw@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-guix@HIDDEN
Resent-Date: Wed, 28 Nov 2018 18:35:02 +0000
Resent-Message-ID: <handler.33542.B33542.154343005821232 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 33542
X-GNU-PR-Package: guix
X-GNU-PR-Keywords: 
To: 33542 <at> debbugs.gnu.org
Received: via spool by 33542-submit <at> debbugs.gnu.org id=B33542.154343005821232
          (code B ref 33542); Wed, 28 Nov 2018 18:35:02 +0000
Received: (at 33542) by debbugs.gnu.org; 28 Nov 2018 18:34:18 +0000
Received: from localhost ([127.0.0.1]:53765 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gS4fC-0005WO-3e
	for submit <at> debbugs.gnu.org; Wed, 28 Nov 2018 13:34:18 -0500
Received: from world.peace.net ([64.112.178.59]:34744)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1gS4fA-0005WB-Dr
 for 33542 <at> debbugs.gnu.org; Wed, 28 Nov 2018 13:34:16 -0500
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <mhw@HIDDEN>)
 id 1gS4f3-0002HE-Qz; Wed, 28 Nov 2018 13:34:10 -0500
From: Mark H Weaver <mhw@HIDDEN>
References: <87efb5vz0g.fsf@HIDDEN>
Date: Wed, 28 Nov 2018 13:33:27 -0500
In-Reply-To: <87efb5vz0g.fsf@HIDDEN> (Mark H. Weaver's message of "Wed, 28
 Nov 2018 13:26:44 -0500")
Message-ID: <877egxvyp9.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Mark H Weaver <mhw@HIDDEN> writes:

> On Hydra, the armhf builds for al variants of 'linux-libre-4.14.84'
> failed because the tarball download failed.  See below for the build
> log.  Strangely, it was unable to find the (guix base16) module.

I now see that 89f1fee8e788fc32d08583b4207c1ecb91d50f28 added a new use
of (guix base16) during downloads, and that the copies of Guix currently
running on the armhf build slaves is too old to include (guix base16).

I don't have time to deal with this right now, but I'll take a look in
about 12 hours or so.  Unfortunately, I expect that a great many armhf
builds will fail in the meantime, including all of the kernel updates.

        Mark




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 28 Nov 2018 21:02:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 28 16:02:18 2018
Received: from localhost ([127.0.0.1]:53833 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gS6yQ-0002dA-2D
	for submit <at> debbugs.gnu.org; Wed, 28 Nov 2018 16:02:18 -0500
Received: from eggs.gnu.org ([208.118.235.92]:47707)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1gS6yO-0002cz-6u
 for control <at> debbugs.gnu.org; Wed, 28 Nov 2018 16:02:16 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1gS6yI-0004bf-9I
 for control <at> debbugs.gnu.org; Wed, 28 Nov 2018 16:02:11 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:52258)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1gS6yI-0004b1-6f
 for control <at> debbugs.gnu.org; Wed, 28 Nov 2018 16:02:10 -0500
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=37100 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>) id 1gS6yH-0000Bm-SB
 for control <at> debbugs.gnu.org; Wed, 28 Nov 2018 16:02:10 -0500
Date: Wed, 28 Nov 2018 22:02:08 +0100
Message-Id: <87bm68zzjj.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
Subject: control message for bug #33542
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

severity 33542 important




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 28 Nov 2018 21:27:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 28 16:27:14 2018
Received: from localhost ([127.0.0.1]:53850 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gS7MY-000592-7t
	for submit <at> debbugs.gnu.org; Wed, 28 Nov 2018 16:27:14 -0500
Received: from eggs.gnu.org ([208.118.235.92]:54990)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1gS7MW-00058o-Kr
 for control <at> debbugs.gnu.org; Wed, 28 Nov 2018 16:27:13 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1gS7MQ-00048T-L9
 for control <at> debbugs.gnu.org; Wed, 28 Nov 2018 16:27:07 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:53371)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1gS7MQ-00048P-IM
 for control <at> debbugs.gnu.org; Wed, 28 Nov 2018 16:27:06 -0500
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=56092 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>) id 1gS7MQ-0002Xb-93
 for control <at> debbugs.gnu.org; Wed, 28 Nov 2018 16:27:06 -0500
Date: Wed, 28 Nov 2018 22:27:04 +0100
Message-Id: <877egwzydz.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
Subject: control message for bug #33542
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

retitle 33542 Content-address mirror code relies on (guix base16)




Message sent:


MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: ludo@HIDDEN (Ludovic =?UTF-8?Q?Court=C3=A8s?=)
Subject: bug#33542: closed (Content-address mirror code relies on (guix
 base16))
CC: tracker <at> debbugs.gnu.org
Message-ID: <handler.33542.D33542.154344051419913.ackdone <at> debbugs.gnu.org>
References: <8736rkzybq.fsf@HIDDEN> <87efb5vz0g.fsf@HIDDEN>
X-Gnu-PR-Message: closed 33542
X-Gnu-PR-Package: guix
Date: Wed, 28 Nov 2018 21:29:01 +0000
Content-Type: multipart/mixed; boundary="----------=_1543440541-19951-0"

This is a multi-part message in MIME format...

------------=_1543440541-19951-0
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset=utf-8

Your message dated Wed, 28 Nov 2018 22:28:25 +0100
with message-id <8736rkzybq.fsf@HIDDEN>
and subject line Re: bug#33542: Strange tarball download error on Hydra
has caused the debbugs.gnu.org bug report #33542,
regarding Content-address mirror code relies on (guix base16)
to be marked as done.

(If you believe you have received this mail in error, please contact
help-debbugs@HIDDEN)


--=20
33542: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D33542
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems

------------=_1543440541-19951-0
Content-Type: message/rfc822
Content-Disposition: inline
Content-Transfer-Encoding: 7bit

Received: (at submit) by debbugs.gnu.org; 28 Nov 2018 18:27:40 +0000
Received: from localhost ([127.0.0.1]:53749 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gS4Ym-0005L1-6B
	for submit <at> debbugs.gnu.org; Wed, 28 Nov 2018 13:27:40 -0500
Received: from eggs.gnu.org ([208.118.235.92]:55723)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1gS4Yk-0005Kn-WF
 for submit <at> debbugs.gnu.org; Wed, 28 Nov 2018 13:27:39 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mhw@HIDDEN>) id 1gS4Ye-0000NR-I4
 for submit <at> debbugs.gnu.org; Wed, 28 Nov 2018 13:27:33 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:45054)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mhw@HIDDEN>) id 1gS4Ye-0000N0-Bl
 for submit <at> debbugs.gnu.org; Wed, 28 Nov 2018 13:27:32 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:37100)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mhw@HIDDEN>) id 1gS4Yd-0003Jr-9g
 for bug-guix@HIDDEN; Wed, 28 Nov 2018 13:27:32 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mhw@HIDDEN>) id 1gS4Ya-00006Z-6r
 for bug-guix@HIDDEN; Wed, 28 Nov 2018 13:27:31 -0500
Received: from world.peace.net ([64.112.178.59]:51348)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mhw@HIDDEN>) id 1gS4Ya-0008Vx-3K
 for bug-guix@HIDDEN; Wed, 28 Nov 2018 13:27:28 -0500
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <mhw@HIDDEN>)
 id 1gS4YY-0002Dn-Oi; Wed, 28 Nov 2018 13:27:26 -0500
From: Mark H Weaver <mhw@HIDDEN>
To: bug-guix@HIDDEN
Subject: Strange tarball download error on Hydra
Date: Wed, 28 Nov 2018 13:26:44 -0500
Message-ID: <87efb5vz0g.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

On Hydra, the armhf builds for al variants of 'linux-libre-4.14.84'
failed because the tarball download failed.  See below for the build
log.  Strangely, it was unable to find the (guix base16) module.

Any idea what went wrong here?

I'll try restarting the builds.

      Mark

--8<---------------cut here---------------start------------->8---
@ build-started /gnu/store/p1gqqw2jly5aizkz0d41a4gi9prxmx8m-linux-libre-4.14.84-gnu.tar.xz.drv - armhf-linux /var/log/guix/drvs/p1//gqqw2jly5aizkz0d41a4gi9prxmx8m-linux-libre-4.14.84-gnu.tar.xz.drv.bz2
warning: failed to install locale: Invalid argument
Backtrace:
In ice-9/boot-9.scm:
4056: 19 [#<procedure 205c80 at ice-9/boot-9.scm:4051:3 ()>]
1727: 18 [%start-stack load-stack #<procedure 1571c0 at ice-9/boot-9.scm:4047:10 ()>]
1732: 17 [#<procedure 1d9d50 ()>]
In unknown file:
   ?: 16 [primitive-load "/gnu/store/hkzbag401s8pkrj6k4bjizy3dybqffp4-guix-0.12.0-2.b291/bin/.guix-real"]
In guix/ui.scm:
1222: 15 [run-guix-command perform-download ...]
In ice-9/boot-9.scm:
 160: 14 [catch srfi-34 #<procedure 896890 at guix/ui.scm:426:2 ()> ...]
 160: 13 [catch system-error ...]
In guix/scripts/perform-download.scm:
  69: 12 [perform-download #]
In ice-9/boot-9.scm:
 870: 11 [call-with-input-file "/gnu/store/wxbfbsf53bdvrq1s8h086d96ixa7d47s-content-addressed-mirrors" ...]
In unknown file:
   ?: 10 [eval (begin (use-modules # #) (list # # #)) #<module (#{ g961}#) 893288>]
In ice-9/eval.scm:
 505: 9 [#<procedure 13b220 at ice-9/eval.scm:499:4 (exp)> (begin # #)]
In ice-9/psyntax.scm:
1106: 8 [expand-top-sequence ((begin (use-modules # #) (list # # ...))) () ...]
 989: 7 [scan ((begin (use-modules # #) (list # # ...))) () ...]
 989: 6 [scan ((use-modules # #) (list # # #)) () ((top)) ...]
 279: 5 [scan ((# #) #(syntax-object *unspecified* # #)) () (()) ...]
In ice-9/boot-9.scm:
3589: 4 [process-use-modules (((guix base32)) ((guix base16)))]
 703: 3 [map #<procedure 1c0cc0 at ice-9/boot-9.scm:3589:25 (mif-args)> ((#) (#))]
3590: 2 [#<procedure 1c0cc0 at ice-9/boot-9.scm:3589:25 (mif-args)> ((guix base16))]
2870: 1 [resolve-interface (guix base16) #:select ...]
In unknown file:
   ?: 0 [scm-error misc-error #f "~A ~S" ("no code for module" (guix base16)) #f]

ERROR: In procedure scm-error:
ERROR: no code for module (guix base16)
builder for `/gnu/store/p1gqqw2jly5aizkz0d41a4gi9prxmx8m-linux-libre-4.14.84-gnu.tar.xz.drv' failed with exit code 1
@ build-failed /gnu/store/p1gqqw2jly5aizkz0d41a4gi9prxmx8m-linux-libre-4.14.84-gnu.tar.xz.drv - 1 builder for `/gnu/store/p1gqqw2jly5aizkz0d41a4gi9prxmx8m-linux-libre-4.14.84-gnu.tar.xz.drv' failed with exit code 1
--8<---------------cut here---------------end--------------->8---



------------=_1543440541-19951-0
Content-Type: message/rfc822
Content-Disposition: inline
Content-Transfer-Encoding: 7bit

Received: (at 33542-done) by debbugs.gnu.org; 28 Nov 2018 21:28:34 +0000
Received: from localhost ([127.0.0.1]:53854 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gS7Nq-0005B7-Jd
	for submit <at> debbugs.gnu.org; Wed, 28 Nov 2018 16:28:34 -0500
Received: from eggs.gnu.org ([208.118.235.92]:55314)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1gS7No-0005As-JP
 for 33542-done <at> debbugs.gnu.org; Wed, 28 Nov 2018 16:28:33 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1gS7Ni-0005kE-RI
 for 33542-done <at> debbugs.gnu.org; Wed, 28 Nov 2018 16:28:27 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:53416)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1gS7Ni-0005k8-OS; Wed, 28 Nov 2018 16:28:26 -0500
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=54780 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1gS7Ni-0007gM-GP; Wed, 28 Nov 2018 16:28:26 -0500
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Mark H Weaver <mhw@HIDDEN>
Subject: Re: bug#33542: Strange tarball download error on Hydra
References: <87efb5vz0g.fsf@HIDDEN> <877egxvyp9.fsf@HIDDEN>
Date: Wed, 28 Nov 2018 22:28:25 +0100
In-Reply-To: <877egxvyp9.fsf@HIDDEN> (Mark H. Weaver's message of "Wed, 28
 Nov 2018 13:33:27 -0500")
Message-ID: <8736rkzybq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33542-done
Cc: 33542-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Mark H Weaver <mhw@HIDDEN> skribis:

> Mark H Weaver <mhw@HIDDEN> writes:
>
>> On Hydra, the armhf builds for al variants of 'linux-libre-4.14.84'
>> failed because the tarball download failed.  See below for the build
>> log.  Strangely, it was unable to find the (guix base16) module.
>
> I now see that 89f1fee8e788fc32d08583b4207c1ecb91d50f28 added a new use
> of (guix base16) during downloads, and that the copies of Guix currently
> running on the armhf build slaves is too old to include (guix base16).

Oops indeed.  Commit a52ae1b6620fcef28e668047a51a6b2a9fb89e35 addresses
it by autoloading (guix base16), such that old installations will still
work but won=E2=80=99t be able to download from Software Heritage.

Thanks,
Ludo=E2=80=99.


------------=_1543440541-19951-0--


Message sent:


MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Mark H Weaver <mhw@HIDDEN>
Subject: bug#33542: closed (Re: bug#33542: Strange tarball download error
 on Hydra)
Message-ID: <handler.33542.D33542.154344051419913.notifdone <at> debbugs.gnu.org>
References: <8736rkzybq.fsf@HIDDEN> <87efb5vz0g.fsf@HIDDEN>
X-Gnu-PR-Message: they-closed 33542
X-Gnu-PR-Package: guix
Reply-To: 33542 <at> debbugs.gnu.org
Date: Wed, 28 Nov 2018 21:29:01 +0000
Content-Type: multipart/mixed; boundary="----------=_1543440541-19951-1"

This is a multi-part message in MIME format...

------------=_1543440541-19951-1
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset="utf-8"

Your bug report

#33542: Content-address mirror code relies on (guix base16)

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to 33542 <at> debbugs.gnu.org.

--=20
33542: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D33542
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems

------------=_1543440541-19951-1
Content-Type: message/rfc822
Content-Disposition: inline
Content-Transfer-Encoding: 7bit

Received: (at 33542-done) by debbugs.gnu.org; 28 Nov 2018 21:28:34 +0000
Received: from localhost ([127.0.0.1]:53854 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gS7Nq-0005B7-Jd
	for submit <at> debbugs.gnu.org; Wed, 28 Nov 2018 16:28:34 -0500
Received: from eggs.gnu.org ([208.118.235.92]:55314)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1gS7No-0005As-JP
 for 33542-done <at> debbugs.gnu.org; Wed, 28 Nov 2018 16:28:33 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1gS7Ni-0005kE-RI
 for 33542-done <at> debbugs.gnu.org; Wed, 28 Nov 2018 16:28:27 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:53416)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1gS7Ni-0005k8-OS; Wed, 28 Nov 2018 16:28:26 -0500
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=54780 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1gS7Ni-0007gM-GP; Wed, 28 Nov 2018 16:28:26 -0500
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Mark H Weaver <mhw@HIDDEN>
Subject: Re: bug#33542: Strange tarball download error on Hydra
References: <87efb5vz0g.fsf@HIDDEN> <877egxvyp9.fsf@HIDDEN>
Date: Wed, 28 Nov 2018 22:28:25 +0100
In-Reply-To: <877egxvyp9.fsf@HIDDEN> (Mark H. Weaver's message of "Wed, 28
 Nov 2018 13:33:27 -0500")
Message-ID: <8736rkzybq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33542-done
Cc: 33542-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Mark H Weaver <mhw@HIDDEN> skribis:

> Mark H Weaver <mhw@HIDDEN> writes:
>
>> On Hydra, the armhf builds for al variants of 'linux-libre-4.14.84'
>> failed because the tarball download failed.  See below for the build
>> log.  Strangely, it was unable to find the (guix base16) module.
>
> I now see that 89f1fee8e788fc32d08583b4207c1ecb91d50f28 added a new use
> of (guix base16) during downloads, and that the copies of Guix currently
> running on the armhf build slaves is too old to include (guix base16).

Oops indeed.  Commit a52ae1b6620fcef28e668047a51a6b2a9fb89e35 addresses
it by autoloading (guix base16), such that old installations will still
work but won=E2=80=99t be able to download from Software Heritage.

Thanks,
Ludo=E2=80=99.


------------=_1543440541-19951-1
Content-Type: message/rfc822
Content-Disposition: inline
Content-Transfer-Encoding: 7bit

Received: (at submit) by debbugs.gnu.org; 28 Nov 2018 18:27:40 +0000
Received: from localhost ([127.0.0.1]:53749 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gS4Ym-0005L1-6B
	for submit <at> debbugs.gnu.org; Wed, 28 Nov 2018 13:27:40 -0500
Received: from eggs.gnu.org ([208.118.235.92]:55723)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1gS4Yk-0005Kn-WF
 for submit <at> debbugs.gnu.org; Wed, 28 Nov 2018 13:27:39 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mhw@HIDDEN>) id 1gS4Ye-0000NR-I4
 for submit <at> debbugs.gnu.org; Wed, 28 Nov 2018 13:27:33 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:45054)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mhw@HIDDEN>) id 1gS4Ye-0000N0-Bl
 for submit <at> debbugs.gnu.org; Wed, 28 Nov 2018 13:27:32 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:37100)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mhw@HIDDEN>) id 1gS4Yd-0003Jr-9g
 for bug-guix@HIDDEN; Wed, 28 Nov 2018 13:27:32 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mhw@HIDDEN>) id 1gS4Ya-00006Z-6r
 for bug-guix@HIDDEN; Wed, 28 Nov 2018 13:27:31 -0500
Received: from world.peace.net ([64.112.178.59]:51348)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mhw@HIDDEN>) id 1gS4Ya-0008Vx-3K
 for bug-guix@HIDDEN; Wed, 28 Nov 2018 13:27:28 -0500
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <mhw@HIDDEN>)
 id 1gS4YY-0002Dn-Oi; Wed, 28 Nov 2018 13:27:26 -0500
From: Mark H Weaver <mhw@HIDDEN>
To: bug-guix@HIDDEN
Subject: Strange tarball download error on Hydra
Date: Wed, 28 Nov 2018 13:26:44 -0500
Message-ID: <87efb5vz0g.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

On Hydra, the armhf builds for al variants of 'linux-libre-4.14.84'
failed because the tarball download failed.  See below for the build
log.  Strangely, it was unable to find the (guix base16) module.

Any idea what went wrong here?

I'll try restarting the builds.

      Mark

--8<---------------cut here---------------start------------->8---
@ build-started /gnu/store/p1gqqw2jly5aizkz0d41a4gi9prxmx8m-linux-libre-4.14.84-gnu.tar.xz.drv - armhf-linux /var/log/guix/drvs/p1//gqqw2jly5aizkz0d41a4gi9prxmx8m-linux-libre-4.14.84-gnu.tar.xz.drv.bz2
warning: failed to install locale: Invalid argument
Backtrace:
In ice-9/boot-9.scm:
4056: 19 [#<procedure 205c80 at ice-9/boot-9.scm:4051:3 ()>]
1727: 18 [%start-stack load-stack #<procedure 1571c0 at ice-9/boot-9.scm:4047:10 ()>]
1732: 17 [#<procedure 1d9d50 ()>]
In unknown file:
   ?: 16 [primitive-load "/gnu/store/hkzbag401s8pkrj6k4bjizy3dybqffp4-guix-0.12.0-2.b291/bin/.guix-real"]
In guix/ui.scm:
1222: 15 [run-guix-command perform-download ...]
In ice-9/boot-9.scm:
 160: 14 [catch srfi-34 #<procedure 896890 at guix/ui.scm:426:2 ()> ...]
 160: 13 [catch system-error ...]
In guix/scripts/perform-download.scm:
  69: 12 [perform-download #]
In ice-9/boot-9.scm:
 870: 11 [call-with-input-file "/gnu/store/wxbfbsf53bdvrq1s8h086d96ixa7d47s-content-addressed-mirrors" ...]
In unknown file:
   ?: 10 [eval (begin (use-modules # #) (list # # #)) #<module (#{ g961}#) 893288>]
In ice-9/eval.scm:
 505: 9 [#<procedure 13b220 at ice-9/eval.scm:499:4 (exp)> (begin # #)]
In ice-9/psyntax.scm:
1106: 8 [expand-top-sequence ((begin (use-modules # #) (list # # ...))) () ...]
 989: 7 [scan ((begin (use-modules # #) (list # # ...))) () ...]
 989: 6 [scan ((use-modules # #) (list # # #)) () ((top)) ...]
 279: 5 [scan ((# #) #(syntax-object *unspecified* # #)) () (()) ...]
In ice-9/boot-9.scm:
3589: 4 [process-use-modules (((guix base32)) ((guix base16)))]
 703: 3 [map #<procedure 1c0cc0 at ice-9/boot-9.scm:3589:25 (mif-args)> ((#) (#))]
3590: 2 [#<procedure 1c0cc0 at ice-9/boot-9.scm:3589:25 (mif-args)> ((guix base16))]
2870: 1 [resolve-interface (guix base16) #:select ...]
In unknown file:
   ?: 0 [scm-error misc-error #f "~A ~S" ("no code for module" (guix base16)) #f]

ERROR: In procedure scm-error:
ERROR: no code for module (guix base16)
builder for `/gnu/store/p1gqqw2jly5aizkz0d41a4gi9prxmx8m-linux-libre-4.14.84-gnu.tar.xz.drv' failed with exit code 1
@ build-failed /gnu/store/p1gqqw2jly5aizkz0d41a4gi9prxmx8m-linux-libre-4.14.84-gnu.tar.xz.drv - 1 builder for `/gnu/store/p1gqqw2jly5aizkz0d41a4gi9prxmx8m-linux-libre-4.14.84-gnu.tar.xz.drv' failed with exit code 1
--8<---------------cut here---------------end--------------->8---



------------=_1543440541-19951-1--


Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 28 Nov 2018 21:29:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 28 16:29:09 2018
Received: from localhost ([127.0.0.1]:53860 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gS7OO-0005Cf-Ty
	for submit <at> debbugs.gnu.org; Wed, 28 Nov 2018 16:29:09 -0500
Received: from eggs.gnu.org ([208.118.235.92]:55438)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1gS7ON-0005C5-5V
 for control <at> debbugs.gnu.org; Wed, 28 Nov 2018 16:29:07 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1gS7OG-00068b-3P
 for control <at> debbugs.gnu.org; Wed, 28 Nov 2018 16:29:01 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:53439)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1gS7OE-00067O-7l
 for control <at> debbugs.gnu.org; Wed, 28 Nov 2018 16:29:00 -0500
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=36488 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>) id 1gS7OC-0007nY-7h
 for control <at> debbugs.gnu.org; Wed, 28 Nov 2018 16:28:58 -0500
Date: Wed, 28 Nov 2018 22:28:55 +0100
Message-Id: <871s74zyaw.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
Subject: control message for bug #33542
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

retitle 33542 Content-addressed mirror code relies on (guix base16)




Message sent to bug-guix@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#33542: Strange tarball download error on Hydra
Resent-From: Mark H Weaver <mhw@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-guix@HIDDEN
Resent-Date: Sat, 08 Dec 2018 01:03:01 +0000
Resent-Message-ID: <handler.33542.B33542.154423094020753 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 33542
X-GNU-PR-Package: guix
X-GNU-PR-Keywords: 
To: ludo@HIDDEN (Ludovic =?UTF-8?Q?Court=C3=A8s?=)
Cc: 33542 <at> debbugs.gnu.org
Received: via spool by 33542-submit <at> debbugs.gnu.org id=B33542.154423094020753
          (code B ref 33542); Sat, 08 Dec 2018 01:03:01 +0000
Received: (at 33542) by debbugs.gnu.org; 8 Dec 2018 01:02:20 +0000
Received: from localhost ([127.0.0.1]:37434 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gVR0d-0005Oa-MR
	for submit <at> debbugs.gnu.org; Fri, 07 Dec 2018 20:02:19 -0500
Received: from world.peace.net ([64.112.178.59]:46642)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>)
 id 1gVR0c-0005OF-1V; Fri, 07 Dec 2018 20:02:18 -0500
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <mhw@HIDDEN>)
 id 1gVR0U-00023b-Uv; Fri, 07 Dec 2018 20:02:11 -0500
From: Mark H Weaver <mhw@HIDDEN>
References: <87efb5vz0g.fsf@HIDDEN> <877egxvyp9.fsf@HIDDEN>
 <8736rkzybq.fsf@HIDDEN>
Date: Fri, 07 Dec 2018 20:01:19 -0500
In-Reply-To: <8736rkzybq.fsf@HIDDEN> ("Ludovic
 \=\?utf-8\?Q\?Court\=C3\=A8s\=22'\?\=
 \=\?utf-8\?Q\?s\?\= message of "Wed, 28 Nov 2018 22:28:25 +0100")
Message-ID: <874lbou8zp.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

reopen 33542
retitle 33542 Offloading to older Guix fails for lack of (guix base16)
thanks

Hi Ludovic,

ludo@HIDDEN (Ludovic Court=C3=A8s) writes:

> Mark H Weaver <mhw@HIDDEN> skribis:
>
>> Mark H Weaver <mhw@HIDDEN> writes:
>>
>>> On Hydra, the armhf builds for al variants of 'linux-libre-4.14.84'
>>> failed because the tarball download failed.  See below for the build
>>> log.  Strangely, it was unable to find the (guix base16) module.
>>
>> I now see that 89f1fee8e788fc32d08583b4207c1ecb91d50f28 added a new use
>> of (guix base16) during downloads, and that the copies of Guix currently
>> running on the armhf build slaves is too old to include (guix base16).
>
> Oops indeed.  Commit a52ae1b6620fcef28e668047a51a6b2a9fb89e35 addresses
> it by autoloading (guix base16), such that old installations will still
> work but won=E2=80=99t be able to download from Software Heritage.

The autoload workaround introduced in commit a52ae1b6 didn't to work.
Downloads on these armhf slaves are still failing in recent evaluations.
For example, see the build log below, for a version of linux-libre that
did not exist when commit a52ae1b6 was pushed.

I tried upgrading 'guix' on the armhf build slaves, but after doing so
*all* builds offloaded to those machines started aborting.  The nix logs
on Hydra indicate that the (guix) module could not be found.  For now, I
rolled back the upgrades, so this issue is still relevant.

    Thanks,
      Mark


--8<---------------cut here---------------start------------->8---
@ build-started /gnu/store/m74cjfkak0h54jss4043nwpydr90w6i0-linux-libre-4.1=
4.86-gnu.tar.xz.drv - armhf-linux /var/log/guix/drvs/m7//4cjfkak0h54jss4043=
nwpydr90w6i0-linux-libre-4.14.86-gnu.tar.xz.drv.bz2
;;; Failed to autoload bytevector->base16-string in (guix base16):
;;; ERROR: missing interface for module (guix base16)
Backtrace:
In ice-9/boot-9.scm:
  66: 19 [call-with-prompt prompt0 ...]
In ice-9/eval.scm:
 432: 18 [eval # #]
In ice-9/boot-9.scm:
2404: 17 [save-module-excursion #<procedure 205c80 at ice-9/boot-9.scm:4051=
:3 ()>]
4056: 16 [#<procedure 205c80 at ice-9/boot-9.scm:4051:3 ()>]
1727: 15 [%start-stack load-stack #<procedure 1571c0 at ice-9/boot-9.scm:40=
47:10 ()>]
1732: 14 [#<procedure 1d9d50 ()>]
In unknown file:
   ?: 13 [primitive-load "/gnu/store/hkzbag401s8pkrj6k4bjizy3dybqffp4-guix-=
0.12.0-2.b291/bin/.guix-real"]
In guix/ui.scm:
1222: 12 [run-guix-command perform-download ...]
In ice-9/boot-9.scm:
 160: 11 [catch srfi-34 #<procedure 8865f0 at guix/ui.scm:426:2 ()> ...]
 160: 10 [catch system-error ...]
In guix/scripts/perform-download.scm:
  63: 9 [perform-download #]
In guix/build/download.scm:
 837: 8 [url-fetch # ...]
In srfi/srfi-1.scm:
 643: 7 [append-map #<procedure 933e88 at guix/build/download.scm:837:16 (m=
ake-url)> ...]
 573: 6 [map #<procedure 933e88 at guix/build/download.scm:837:16 (make-url=
)> #]
 661: 5 [filter-map #<procedure 9a4f48 at guix/build/download.scm:838:30 (e=
xpr)> #]
In guix/build/download.scm:
 841: 4 [#<procedure 9a4f48 at guix/build/download.scm:838:30 (expr)> #]
In ice-9/eval.scm:
 387: 3 [eval # #]
 386: 2 [eval # #]
 393: 1 [eval # #]
In unknown file:
   ?: 0 [memoize-variable-access! # #]

ERROR: In procedure memoize-variable-access!:
ERROR: Unbound variable: bytevector->base16-string
builder for `/gnu/store/m74cjfkak0h54jss4043nwpydr90w6i0-linux-libre-4.14.8=
6-gnu.tar.xz.drv' failed with exit code 1
@ build-failed /gnu/store/m74cjfkak0h54jss4043nwpydr90w6i0-linux-libre-4.14=
.86-gnu.tar.xz.drv - 1 builder for `/gnu/store/m74cjfkak0h54jss4043nwpydr90=
w6i0-linux-libre-4.14.86-gnu.tar.xz.drv' failed with exit code 1
--8<---------------cut here---------------end--------------->8---




Message received at fakecontrol@fakecontrolmessage:


Received: (at fakecontrol) by fakecontrolmessage;
To: internal_control <at> debbugs.gnu.org
From: Debbugs Internal Request <help-debbugs@HIDDEN>
Subject: Internal Control
Message-Id: Did not alter fixed versions and reopened.
Date: Sat, 08 Dec 2018 01:03:02 +0000
User-Agent: Fakemail v42.6.9

# This is a fake control message.
#
# The action:
# Did not alter fixed versions and reopened.
thanks
# This fakemail brought to you by your local debbugs
# administrator


Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 8 Dec 2018 01:02:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 07 20:02:19 2018
Received: from localhost ([127.0.0.1]:37432 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gVR0d-0005OY-AM
	for submit <at> debbugs.gnu.org; Fri, 07 Dec 2018 20:02:19 -0500
Received: from world.peace.net ([64.112.178.59]:46642)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>)
 id 1gVR0c-0005OF-1V; Fri, 07 Dec 2018 20:02:18 -0500
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <mhw@HIDDEN>)
 id 1gVR0U-00023b-Uv; Fri, 07 Dec 2018 20:02:11 -0500
From: Mark H Weaver <mhw@HIDDEN>
To: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
Subject: Re: bug#33542: Strange tarball download error on Hydra
References: <87efb5vz0g.fsf@HIDDEN> <877egxvyp9.fsf@HIDDEN>
 <8736rkzybq.fsf@HIDDEN>
Date: Fri, 07 Dec 2018 20:01:19 -0500
In-Reply-To: <8736rkzybq.fsf@HIDDEN> ("Ludovic
 \=\?utf-8\?Q\?Court\=C3\=A8s\=22'\?\=
 \=\?utf-8\?Q\?s\?\= message of "Wed, 28 Nov 2018 22:28:25 +0100")
Message-ID: <874lbou8zp.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: control
Cc: 33542 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

reopen 33542
retitle 33542 Offloading to older Guix fails for lack of (guix base16)
thanks

Hi Ludovic,

ludo@HIDDEN (Ludovic Court=C3=A8s) writes:

> Mark H Weaver <mhw@HIDDEN> skribis:
>
>> Mark H Weaver <mhw@HIDDEN> writes:
>>
>>> On Hydra, the armhf builds for al variants of 'linux-libre-4.14.84'
>>> failed because the tarball download failed.  See below for the build
>>> log.  Strangely, it was unable to find the (guix base16) module.
>>
>> I now see that 89f1fee8e788fc32d08583b4207c1ecb91d50f28 added a new use
>> of (guix base16) during downloads, and that the copies of Guix currently
>> running on the armhf build slaves is too old to include (guix base16).
>
> Oops indeed.  Commit a52ae1b6620fcef28e668047a51a6b2a9fb89e35 addresses
> it by autoloading (guix base16), such that old installations will still
> work but won=E2=80=99t be able to download from Software Heritage.

The autoload workaround introduced in commit a52ae1b6 didn't to work.
Downloads on these armhf slaves are still failing in recent evaluations.
For example, see the build log below, for a version of linux-libre that
did not exist when commit a52ae1b6 was pushed.

I tried upgrading 'guix' on the armhf build slaves, but after doing so
*all* builds offloaded to those machines started aborting.  The nix logs
on Hydra indicate that the (guix) module could not be found.  For now, I
rolled back the upgrades, so this issue is still relevant.

    Thanks,
      Mark


--8<---------------cut here---------------start------------->8---
@ build-started /gnu/store/m74cjfkak0h54jss4043nwpydr90w6i0-linux-libre-4.1=
4.86-gnu.tar.xz.drv - armhf-linux /var/log/guix/drvs/m7//4cjfkak0h54jss4043=
nwpydr90w6i0-linux-libre-4.14.86-gnu.tar.xz.drv.bz2
;;; Failed to autoload bytevector->base16-string in (guix base16):
;;; ERROR: missing interface for module (guix base16)
Backtrace:
In ice-9/boot-9.scm:
  66: 19 [call-with-prompt prompt0 ...]
In ice-9/eval.scm:
 432: 18 [eval # #]
In ice-9/boot-9.scm:
2404: 17 [save-module-excursion #<procedure 205c80 at ice-9/boot-9.scm:4051=
:3 ()>]
4056: 16 [#<procedure 205c80 at ice-9/boot-9.scm:4051:3 ()>]
1727: 15 [%start-stack load-stack #<procedure 1571c0 at ice-9/boot-9.scm:40=
47:10 ()>]
1732: 14 [#<procedure 1d9d50 ()>]
In unknown file:
   ?: 13 [primitive-load "/gnu/store/hkzbag401s8pkrj6k4bjizy3dybqffp4-guix-=
0.12.0-2.b291/bin/.guix-real"]
In guix/ui.scm:
1222: 12 [run-guix-command perform-download ...]
In ice-9/boot-9.scm:
 160: 11 [catch srfi-34 #<procedure 8865f0 at guix/ui.scm:426:2 ()> ...]
 160: 10 [catch system-error ...]
In guix/scripts/perform-download.scm:
  63: 9 [perform-download #]
In guix/build/download.scm:
 837: 8 [url-fetch # ...]
In srfi/srfi-1.scm:
 643: 7 [append-map #<procedure 933e88 at guix/build/download.scm:837:16 (m=
ake-url)> ...]
 573: 6 [map #<procedure 933e88 at guix/build/download.scm:837:16 (make-url=
)> #]
 661: 5 [filter-map #<procedure 9a4f48 at guix/build/download.scm:838:30 (e=
xpr)> #]
In guix/build/download.scm:
 841: 4 [#<procedure 9a4f48 at guix/build/download.scm:838:30 (expr)> #]
In ice-9/eval.scm:
 387: 3 [eval # #]
 386: 2 [eval # #]
 393: 1 [eval # #]
In unknown file:
   ?: 0 [memoize-variable-access! # #]

ERROR: In procedure memoize-variable-access!:
ERROR: Unbound variable: bytevector->base16-string
builder for `/gnu/store/m74cjfkak0h54jss4043nwpydr90w6i0-linux-libre-4.14.8=
6-gnu.tar.xz.drv' failed with exit code 1
@ build-failed /gnu/store/m74cjfkak0h54jss4043nwpydr90w6i0-linux-libre-4.14=
.86-gnu.tar.xz.drv - 1 builder for `/gnu/store/m74cjfkak0h54jss4043nwpydr90=
w6i0-linux-libre-4.14.86-gnu.tar.xz.drv' failed with exit code 1
--8<---------------cut here---------------end--------------->8---




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 18 Dec 2018 06:12:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 18 01:12:15 2018
Received: from localhost ([127.0.0.1]:52497 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gZ8c2-0000bX-RV
	for submit <at> debbugs.gnu.org; Tue, 18 Dec 2018 01:12:14 -0500
Received: from world.peace.net ([64.112.178.59]:42558)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1gZ8c1-0000bK-En
 for control <at> debbugs.gnu.org; Tue, 18 Dec 2018 01:12:13 -0500
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <mhw@HIDDEN>)
 id 1gZ8bw-0000Fw-09; Tue, 18 Dec 2018 01:12:08 -0500
From: Mark H Weaver <mhw@HIDDEN>
To: control <at> debbugs.gnu.org
Date: Tue, 18 Dec 2018 01:11:06 -0500
Message-ID: <87tvjbuzxm.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: retitle 33542 Content-addressed mirror code relies on (guix
 base16) thanks 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.8 MISSING_SUBJECT        Missing Subject: header
 0.2 NO_SUBJECT             Extra score for no subject
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

retitle 33542 Content-addressed mirror code relies on (guix base16)
thanks





Last modified: Tue, 18 Dec 2018 06:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.